精华内容
下载资源
问答
  • npm-modules-report npm-modules-report可帮助您以表格的形式在 package.json 中组装有关 npm 模块的特定信息,并将其导出为 xlsx 文件。 安装 使用 npm: $ npm install npm-modules-report 示例#1 const ...
  • 安装指令:npm install 国内镜像:cnpm install 注意:有时候使用npm install会出错,直接换成国内镜像安装就可以了

    安装指令:npm install
    国内镜像:cnpm install
    注意:有时候使用npm install会出错,直接换成国内镜像安装就可以了

    展开全文
  • npm install -g npm-modules-sync 如果您使用的是 : yarn global add npm-modules-sync 入门 在要用作软件包列表来源的计算机上,运行npm-sync init -t 注意上一步完成后返回的要点ID 在要使用要同步的机器上...
  • 使用npm安装node模块时经常有卡住安装失败的情况,如图所示。原因在于npm服务器在美国,还有就是某强大的防火墙作用。这样的问题导致很多新手放弃使用node,几乎每天都有新手再问这个问题。现在分享一下解决这个问题...

    使用npm安装node模块时经常有卡住安装失败的情况,如图所示。原因在于npm服务器在美国,还有就是某强大的防火墙作用。这样的问题导致很多新手放弃使用node,几乎每天都有新手再问这个问题。现在分享一下解决这个问题的解决方案

    1.可以通过一劳永逸的方式修改代理地址

    2.更换npm源拼rp

    (谢谢供图的低胸)

    环境确认

    1.确定一下你的npm config情况

    npm config ls

    2.详解

    1.npm默认源地址

    2.用户配置文件所在地址

    3.代理服务器

    4.用户配置的源地址

    修改方案

      1.土鳖式

     修改npm用户配置文件.npmrc,路径在上图的2,如果没有就自贱一个。用 纯文本 编辑器打开编辑

    选一种即可,有代理最好设代理

    代理地址为 http://www.xxxx.com:port

    2.文艺范

    直接使用命令行工具命令修改,还是二者选其一

    npm config set proxy="http://127.0.0.1:8087"//设置代理地址 http://www.xxxx.com:port格式
    npm config set registry="http://registry.npmjs.org"//设置npm源地址set proxy="http://127.0.0.1:8087"//设置代理地址 http://www.xxxx.com:port格式
    npm config set registry="http://registry.npmjs.org"//设置npm源地址

      后面会提供优质npm源地址,cnpm 呵呵一下。 
    3.安装时临时修改npm源地址

    npm install express --registry=http://registry.npmjs.org //e.ghttp://registry.npmjs.org //e.g

    总结

    1. 如果大家有稳定的代理服务器还是使用代理最好
    2. 没有代理条件就只能使用更换源地址的方式打游击了
    3. npm在国外不是很稳定,安装失败以后使用npm cache clean 清一下缓存,多安装试试。

    希望对大家有所帮助 最后提供一个npm源地址集合的站点http://blog.modulus.io/npm-mirrors

    延伸阅读


    ▶ Walkthrough007

    展开全文
  • 资源属于这个博客:https://mp.csdn.net/console/editor/html/105682569。希望大家能解决问题。。
  • npm安装

    万次阅读 2018-11-07 18:32:35
    npm:nodejs下的包管理器 webpack:主要的功能是...(帮你快速开始一个vue的项目,也就是给你一套vue的结构,包含基础的依赖库,只需要 npm install就可以安装) 1、下载nodejs,网址:https://nodejs.org/en/ 2...

    npm:nodejs下的包管理器

    webpack:主要的功能是通过commentJS语法把所有浏览器端需要发布的静态资源做相应的准备,如资源的合并和打包

    vue-cli:用户生成VUE工程模板。(帮你快速开始一个vue的项目,也就是给你一套vue的结构,包含基础的依赖库,只需要 npm install就可以安装)

    1、下载nodejs,网址:https://nodejs.org/en/

    2、安装nodejs,安装成功

    3、打开cmd,检查是否正常

    4、输入echo %PATH%查看环境变量中是否含有刚刚安装的nodejs

    5、输入node -v查看安装的node版本

    6、输入npm -v 可查看npm的版本

    7、打开C:\Users\Administrator\AppData\Roaming文件夹,找到npm文件夹,移动到nodejs的安装目录下

    8、在nodejs安装目录下创建node_cache、node_global两个文件夹

    9、cmd中运行下面两条命令

    npm config set prefix "nodejs安装目录\node_global"

    npm config set cache "nodejs安装目录\node_cache"

    10、输入npm list -global可以查看到文件路径已经改变了(可以看到运行上面的两个命令前后的变化)

    11、输入命令npm config set registry=http://registry.npm.taobao.org 配置镜像站

    12、输入命令npm config list 显示所有配置信息,可以查看到我们刚刚配置的三个参数cache、prefix、registry

    13、用编辑器打开C:\Users\Administrator\.npmrc这个文件可看到上面的配置信息

    14、输入命令npm config get registry检测镜像

    15、输入命令npm info vue 获得vue的信息

    16、输入命令npm install(安装模块名) npm -g安装或更新npm install命令;-g是安装到nodejs目录下的node_global目录下

    17、输入命令npm install npm -g查看global下的模块

    18、输入npm -v可查看到npm升级后的版本

    19、默认的node_module目录已经改到node_global目录下了,直接运行npm install命令将会报错

    20、增加环境变量NODE_PATH ,内容是node_modules目录的路径

    21、输入命令npm install vue -g把Vue.js安装到全局目录下node_global

    22、安装成功后可以在node_global目录下可以查看到Vue文件夹

    23、测试npm安装vue-router;输入命令:npm install vue-router -g

    24、运行npm install vue-cli -g安装vue脚手架

    25、把vue添加到环境变量中去(node_global下的vue.cmd)

    26、输入vue -V查看vue版本;进入nodejs安装的根目录(也就是盘符,如D:)

    vue-cli工具是内置了模板包括webpack和webpack-simple,前者是比较复杂专业的项目,他的配置并不全放在根目录下的webpack.config.js中

     

    创建项目完成

    27、初始化,安装依赖

    进入目录 cd vue01(目录名称);输入npm install安装依赖

    28、npm run dev

    29、浏览器打开localhost:8081可以看到下main的页面,端口号根据与上图中的端口号一致

    30、npm run build 生成静态文件,打开dist文件夹下新生成的index.html文件

     

     

     

     

     

     

     

     

    展开全文
  • nodejs 6.9.1安装完成后,验证npm是否安装成功时提示:bin/npm: line 1: ../lib/node_modules/npm/bin/npm-cli.js: No such file or directory 解决办法://运行安装npm的脚本 curl https://npmjs.org/install.sh | ...

    nodejs 6.9.1安装完成后,验证npm是否安装成功时提示:

    bin/npm: line 1: ../lib/node_modules/npm/bin/npm-cli.js: No such file or directory 

    解决办法:

    //运行安装npm的脚本
    curl https://npmjs.org/install.sh | sudo sh

    如果执行以下命令不行,则可以把install.sh下载下来,放到node目录下执行。

    这里写图片描述

    install.sh文件内容如下:

    #!/bin/sh
    
    # A word about this shell script:
    #
    # It must work everywhere, including on systems that lack
    # a /bin/bash, map 'sh' to ksh, ksh97, bash, ash, or zsh,
    # and potentially have either a posix shell or bourne
    # shell living at /bin/sh.
    #
    # See this helpful document on writing portable shell scripts:
    # http://www.gnu.org/s/hello/manual/autoconf/Portable-Shell.html
    #
    # The only shell it won't ever work on is cmd.exe.
    
    if [ "x$0" = "xsh" ]; then
      # run as curl | sh
      # on some systems, you can just do cat>npm-install.sh
      # which is a bit cuter.  But on others, &1 is already closed,
      # so catting to another script file won't do anything.
      # Follow Location: headers, and fail on errors
      curl -f -L -s https://www.npmjs.org/install.sh > npm-install-$$.sh
      ret=$?
      if [ $ret -eq 0 ]; then
        (exit 0)
      else
        rm npm-install-$$.sh
        echo "Failed to download script" >&2
        exit $ret
      fi
      sh npm-install-$$.sh
      ret=$?
      rm npm-install-$$.sh
      exit $ret
    fi
    
    # See what "npm_config_*" things there are in the env,
    # and make them permanent.
    # If this fails, it's not such a big deal.
    configures="`env | grep 'npm_config_' | sed -e 's|^npm_config_||g'`"
    
    npm_config_loglevel="error"
    if [ "x$npm_debug" = "x" ]; then
      (exit 0)
    else
      echo "Running in debug mode."
      echo "Note that this requires bash or zsh."
      set -o xtrace
      set -o pipefail
      npm_config_loglevel="verbose"
    fi
    export npm_config_loglevel
    
    # make sure that Node.js exists
    node=`which node 2>&1`
    ret=$?
    if [ $ret -eq 0 ] && [ -x "$node" ]; then
      (exit 0)
    else
      echo "npm cannot be installed without Node.js." >&2
      echo "Install Node.js first, and then try again." >&2
      echo "" >&2
      echo "Maybe Node.js is installed, but not in the PATH?" >&2
      echo "Note that running as sudo can change envs." >&2
      echo ""
      echo "PATH=$PATH" >&2
      exit $ret
    fi
    
    # set the temp dir
    TMP="${TMPDIR}"
    if [ "x$TMP" = "x" ]; then
      TMP="/tmp"
    fi
    TMP="${TMP}/npm.$$"
    rm -rf "$TMP" || true
    mkdir "$TMP"
    if [ $? -ne 0 ]; then
      echo "failed to mkdir $TMP" >&2
      exit 1
    fi
    
    BACK="$PWD"
    
    ret=0
    tar="${TAR}"
    if [ -z "$tar" ]; then
      tar="${npm_config_tar}"
    fi
    if [ -z "$tar" ]; then
      tar=`which tar 2>&1`
      ret=$?
    fi
    
    if [ $ret -eq 0 ] && [ -x "$tar" ]; then
      echo "tar=$tar"
      echo "version:"
      $tar --version
      ret=$?
    fi
    
    if [ $ret -eq 0 ]; then
      (exit 0)
    else
      echo "No suitable tar program found."
      exit 1
    fi
    
    
    
    # Try to find a suitable make
    # If the MAKE environment var is set, use that.
    # otherwise, try to find gmake, and then make.
    # If no make is found, then just execute the necessary commands.
    
    # XXX For some reason, make is building all the docs every time.  This
    # is an annoying source of bugs. Figure out why this happens.
    MAKE=NOMAKE
    
    if [ "x$MAKE" = "x" ]; then
      make=`which gmake 2>&1`
      if [ $? -eq 0 ] && [ -x "$make" ]; then
        (exit 0)
      else
        make=`which make 2>&1`
        if [ $? -eq 0 ] && [ -x "$make" ]; then
          (exit 0)
        else
          make=NOMAKE
        fi
      fi
    else
      make="$MAKE"
    fi
    
    if [ -x "$make" ]; then
      (exit 0)
    else
      # echo "Installing without make. This may fail." >&2
      make=NOMAKE
    fi
    
    # If there's no bash, then don't even try to clean
    if [ -x "/bin/bash" ]; then
      (exit 0)
    else
      clean="no"
    fi
    
    node_version=`"$node" --version 2>&1`
    ret=$?
    if [ $ret -ne 0 ]; then
      echo "You need Node.js to run this program." >&2
      echo "node --version reports: $node_version" >&2
      echo "with exit code = $ret" >&2
      echo "Please install Node.js before continuing." >&2
      exit $ret
    fi
    
    t="${npm_install}"
    if [ -z "$t" ]; then
      # switch based on Node.js version.
      # note that we can only use strict sh-compatible patterns here.
      case $node_version in
        0.[01234567].* | v0.[01234567].*)
          echo "You are using an outdated and unsupported version of" >&2
          echo "Node.js ($node_version).  Please update Node.js and try again." >&2
          exit 99
          ;;
        *)
          echo "install npm@latest"
          t="latest"
          ;;
      esac
    fi
    
    # need to echo "" after, because Posix sed doesn't treat EOF
    # as an implied end of line.
    url=`(curl -SsL https://registry.npmjs.org/npm/$t; echo "") \
         | sed -e 's/^.*tarball":"//' \
         | sed -e 's/".*$//'`
    
    ret=$?
    if [ "x$url" = "x" ]; then
      ret=125
      # try without the -e arg to sed.
      url=`(curl -SsL https://registry.npmjs.org/npm/$t; echo "") \
           | sed 's/^.*tarball":"//' \
           | sed 's/".*$//'`
      ret=$?
      if [ "x$url" = "x" ]; then
        ret=125
      fi
    fi
    if [ $ret -ne 0 ]; then
      echo "Failed to get tarball url for npm/$t" >&2
      exit $ret
    fi
    
    
    echo "fetching: $url" >&2
    
    cd "$TMP" \
      && curl -SsL "$url" \
         | $tar -xzf - \
      && cd "$TMP"/* \
      && (ver=`"$node" bin/read-package-json.js package.json version`
          isnpm10=0
          if [ $ret -eq 0 ]; then
            if [ -d node_modules ]; then
              if "$node" node_modules/semver/bin/semver -v "$ver" -r "1"
              then
                isnpm10=1
              fi
            else
              if "$node" bin/semver -v "$ver" -r ">=1.0"; then
                isnpm10=1
              fi
            fi
          fi
    
          ret=0
          if [ $isnpm10 -eq 1 ] && [ -f "scripts/clean-old.sh" ]; then
            if [ "x$skipclean" = "x" ]; then
              (exit 0)
            else
              clean=no
            fi
            if [ "x$clean" = "xno" ] \
                || [ "x$clean" = "xn" ]; then
              echo "Skipping 0.x cruft clean" >&2
              ret=0
            elif [ "x$clean" = "xy" ] || [ "x$clean" = "xyes" ]; then
              NODE="$node" /bin/bash "scripts/clean-old.sh" "-y"
              ret=$?
            else
              NODE="$node" /bin/bash "scripts/clean-old.sh" </dev/tty
              ret=$?
            fi
          fi
    
          if [ $ret -ne 0 ]; then
            echo "Aborted 0.x cleanup.  Exiting." >&2
            exit $ret
          fi) \
      && (if [ "x$configures" = "x" ]; then
            (exit 0)
          else
            echo "./configure $configures"
            echo "$configures" > npmrc
          fi) \
      && (if [ "$make" = "NOMAKE" ]; then
            (exit 0)
          elif "$make" uninstall install; then
            (exit 0)
          else
            make="NOMAKE"
          fi
          if [ "$make" = "NOMAKE" ]; then
            "$node" cli.js rm npm -gf
            "$node" cli.js install -gf
          fi) \
      && cd "$BACK" \
      && rm -rf "$TMP" \
      && echo "It worked"
    
    ret=$?
    if [ $ret -ne 0 ]; then
      echo "It failed" >&2
    fi
    exit $ret

    本文作者:jiankunking,出处:http://blog.csdn.net/jiankunking/

    展开全文
  • npm重新安装node_modules方法

    千次阅读 2020-06-02 09:58:41
    2. 执行: rimraf node_modules 删除文件荚 3. 清空缓存: npm cache clean --force 4. 重新安装淘宝镜像: npm install -g cnpm --registry=https://registry.npm.taobao.org 5. 再次执行:cnpm i ...
  • npm 安装机制

    千次阅读 2018-02-27 09:13:17
    npm 是 Node 的模块管理器,功能极其强大。它是 Node 获得成功的重要原因之一。 正因为有了npm,我们只要一行命令,就能安装别人写好的模块 。...npm install 命令用来安装模块到node_modules目录。 $ npm inst...
  • npm node_modules 安装 更新

    千次阅读 2020-03-03 19:20:15
    yarn install 安装 yarn config set registry https://registry.npm.taobao.org 设置安装包下载路径 set-ExecutionPolicy RemoteSigned 解除脚本禁止使用【Set-ExecutionPolicy】命令设置/更改执行策略,选择...
  • npm安装配置

    万次阅读 2018-06-02 23:38:00
    安装nodejs后,由于nodejs集成了npm会默认安装npm安装完nodejs后在cmd中通过命令查看安装的nodejs与npm。 现在可以看到nodejs与npm已经安装成功。 虽然现在nodejs与npm已经安装成功了 ,但是还有一个重要的...
  • 去到C:\Users\Administrator\AppData\Roaming\npm\node_modules文件夹发现文件夹下没有@angular 然后使用命令npm install -g @angular/cli 进行安装,但是安装失败,报错是文件已存在! 经过尝试,觉得是
  • npm ERR! ENOTEMPTY: directory not empty, rename '/home/xxxx/node_modules/less' -> '/home/xxxxxx/node_modules/.less.DELETE' 解决办法: npm clean 还未解决时: 删除已下载的依赖node_modules: rm -...
  • nodeJs 安装 npm node_modules

    万次阅读 2017-06-22 18:19:59
    1.安装nodejs 从nodejs官网下载最新版本的node,设置环境变量这样就可以在cmd下直接用命令行操作npm 环境变量:path d:/nodejs 查看本机node及npm版本 2.从官网上直接拷一个小脚本: nodeExample.js const...
  • npm 安装 webpack

    千次阅读 2018-11-13 17:57:50
    1. 安装NodeJs,检测node.js是否安装成功 查看node版本 >...3. npm 安装 webpack 采用全局安装,然后等待webpack安装。 > npm install webpack -g > webpack-version 安装...
  • npm安装vue

    千次阅读 多人点赞 2018-07-26 15:48:35
    npm安装vue by 铁乐猫 npm安装vue Vue.js 是什么 直接用script引入 安装vue 对不同构建版本的解释 安装命令行工具 (CLI) 安装cnpm 安装vue-cli 新建vue项目 运行服务 目录结构 Vue.js 是什么 Vue ...
  • 我这里选择的是最新版2、下载完了就直接双击安装安装过程中可以另外指定安装路径,我的安装路径是E:\FRONT\nodejs3、安装完成之后进入cmd命令行,然后输入 node -v 测试...4、npm安装,由于新版的nodejs已经集成了n
  • 会把xxx包安装到node_modules目录中 不会修改package.json 之后运行npm install命令时,不会自动安装X 二、npm install xxx -g  安装xxx到全局,不会在项目node_modules目录中保存模块包。 不会将模块依赖写入...
  • npm install 时,会出现很多错误,包括配置错误等。 以webpack中安装autoprefixer为例: ... stack at ChildProcess.onCpExit (/usr/local/lib/node_modules/npm/node_modules/node-gyp/lib/configure.js:351:16) g
  • npm安装appium

    2020-09-15 15:59:03
    1.安装node.js ...按照提示点击下一步或继续,可自行选择安装路径 2.验证node.js是否安装成功 ...3.使用npm安装appium 在命令提示符窗口继续输入命令来安装appium,命令如下: 全局安装npm install -g appium 由于np
  • 检查brew -v是否安装了homebrew这个macOS 缺失的软件包的管理器。如果安装,跳转到第3步,否则跳转到第二步; brew -v 安装homebrew。安装跳转到官网指导。等待安装好之后,输入brew -v,如果出现版本号说明已经...
  • npm用于全局安装npm模块的目录。 请考虑关注该项目的作者 ,并考虑为该项目以显示您的 :red_heart: 和支持。 安装 使用安装: $ npm install --save global-modules 用法 const globalModules = require ( '...
  • npm安装iview

    千次阅读 2019-02-12 19:30:17
    npm i -S iview 安装iview出现 npm WARN iview@3.2.2 requires a peer of vue@^2.5.2 but none was installed. 输入:npm i -S vue 出现 npm WARN optional SKIPPING OPTIONAL DEPENDENCY: fsevents@1.2.7 (node_...
  • npm安装与使用

    千次阅读 2018-10-03 12:59:51
    NPM(Node Package Manager)是 Node 的包管理工具,在开发项目过程中使用 NPM 可以更加方便的安装项目所需的依赖。 一 安装 先在官网下载 node https://nodejs.org 安装后运行下面命令查看版本 node -v npm -v ...
  • 更改npm安装目录

    千次阅读 2019-03-28 19:59:55
    Nodejs 内置的npm默认会把模块安装在c盘的用户AppData目录下,以下步骤是为了让大家学习如何更改npm 安装目录的 首先你可以使用cmd命令进行查看当前电脑的npm 安装路径。 输入 npm config ls 如图: 下面我们就...
  • npm安装hexo报错

    千次阅读 2018-10-27 11:28:40
    npm安装hexo报错: 可见是淘宝镜像的问题, 查看自己当前的镜像npm get registry, 然后切换为原来的镜像npm config set registry https://registry.npmjs.org/, 安装成功,特此记录. C:\Users\zhang&amp;amp;...
  • windows 删除目录时提示文件名或扩展名太长无法删除解决方案,使用 node 模块 rimraf全局安装模块 npm install -g rimraf删除目录 rimraf node_modules
  • npm 安装、删除依赖命令

    千次阅读 2019-09-14 12:04:06
    npm安装依赖 【npm install xxx】利用 npm 安装xxx依赖到当前命令行所在目录 【npm install xxx -g】利用npm安装全局依赖xxx 【npm install xxx --save】 安装并写入package.json的”dependencies”中 【npm ...
  • npm 安装错误 npm ERR!

    2017-05-12 17:20:45
    手动卸载了再重装了npm 1、sudo npm uninstall npm -g ...2、进到npm安装目录 /usr/local/lib/node_modules/npm/sudo make uninstall 3、手动重装npmcurl -L https://npmjs.com/install.sh | sh

空空如也

空空如也

1 2 3 4 5 ... 20
收藏数 99,590
精华内容 39,836
关键字:

npm安装modules